<?php

/**
 * @file
 * Settings form of the about me profile fetch.
 */

/**
 * About Me settings form.
 *
 * @return array
 *   The form structure.
 */
function aboutme_settings_form() {
  $form = array();

  $form['aboutme_block_title'] = array(
    '#title' => t('Block Title'),
    '#type' => 'textfield',
    '#size' => 60,
    '#default_value' => variable_get('aboutme_block_title', ''),
  );

  $form['aboutme_name'] = array(
    '#title' => t('Your about.me User Name'),
    '#type' => 'textfield',
    '#size' => 60,
    '#required' => TRUE,
    '#default_value' => variable_get('aboutme_name', ''),
  );

  $form['aboutme_photo_settings'] = array(
    '#title' => t('Photo'),
    '#type' => 'select',
    '#options' => array(
      'background_image' => t('Show Background Image'),
      'none' => t('None'),
    ),
    '#default_value' => variable_get('aboutme_photo_settings', ''),
  );

  $form['aboutme_name_settings'] = array(
    '#title' => t('Display Name'),
    '#type' => 'select',
    '#options' => array(
      '24px' => t("Display X-Large"),
      '19px' => t("Display Large"),
      '16px' => t("Display Medium"),
      '10px' => t("Display Small"),
      'dont_display' => t("Don't Display Name"),
    ),
    '#default_value' => variable_get('aboutme_name_settings', ''),
  );

  $form['aboutme_show_headline'] = array(
    '#title' => t('Headline'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('aboutme_show_headline', ''),
  );

  $form['aboutme_show_bio'] = array(
    '#title' => t('Bio'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('aboutme_show_bio', ''),
  );

  $form['aboutme_show_apps'] = array(
    '#title' => t('Apps'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('aboutme_show_apps', ''),
  );

  return system_settings_form($form);
}
